Bug 1478508 - Not able to retire VM/instance via API unless "Set Retirement Date" feature is checked for role
Summary: Not able to retire VM/instance via API unless "Set Retirement Date" feature i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.8.2
Assignee: Jillian Tullo
QA Contact: Martin Kourim
URL:
Whiteboard:
Depends On: 1464093
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-04 17:34 UTC by Satoe Imaishi
Modified: 2017-10-24 00:17 UTC (History)
7 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1464093
Environment:
Last Closed: 2017-10-24 00:17:32 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-04 17:36:31 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/9eed9540813626a4e96e1537b7c31d9ab3dffbb0

commit 9eed9540813626a4e96e1537b7c31d9ab3dffbb0
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Wed Jul 5 16:35:41 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 13:34:35 2017 -0400

    Merge pull request #15509 from jntullo/bz/wrong_retirement_product_feature
    
    Use correct identifier for VM Retirement
    (cherry picked from commit 30f51d5eec8695e68ad0205a477e636d2c86892a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478508

 config/api.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 3 Martin Kourim 2017-09-04 09:13:10 UTC
Verified on 5.8.2.0 that it's possible to retire a VM using the REST API when "Set Retirement Date" is unchecked.

Comment 5 errata-xmlrpc 2017-10-24 00:17:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.